probe::kprocess.create
Prev | Chapter 16. Kernel Process Tapset | Next

## Name

probe::kprocess.create — Fires whenever a new process or thread is successfully created

## Synopsis

    kprocess.create

## Values

`new_tid`

  The TID of the newly created task

`new_pid`

  The PID of the newly created process

## Context

Parent of the created process.

## Description

Fires whenever a new process is successfully created, either as a result of fork (or one of its syscall variants), or a new kernel thread.

Prev | Up | Next
function::target_set_report | Home | probe::kprocess.exec